function my_gibbs ( cut_freq , fraction)
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
max_val = 75;

points = floor ( fraction*max_val ) + 1 ;
Fs = 5* cut_freq;
Ts = 1/Fs;
time = (-points:points);

w_cut = 2*cut_freq*Ts;
b = Ts * w_cut  * sinc (w_cut * time);
b = b/max(b);
[H,f_axis] = freqz(b,1,512,Fs);

H = H/H(1);
time_1 = [-100:100];
full_sinc = Ts * w_cut * sinc (w_cut * time_1);
full_sinc = full_sinc / max (full_sinc);

des_resp = zeros ( 1 , length(H));
max_ind = floor ( cut_freq / (Fs/2) * 512);
des_resp(1:max_ind) = ones (1, max_ind);

figure(2);

%figure ;
subplot (2,2,1) ,
plot (f_axis , des_resp);
title('DESIRED RESPONSE');
xlabel('Hz');

%figure;
subplot (2,2,2) , 
plot (time_1 , full_sinc);
axis ([-100 100 min(full_sinc) max(full_sinc)]);
title('ACTUAL IMP RESP');
xlabel('Time');

%figure;
subplot (2,2,4) , 
plot (time , b);
axis ([-points points min(b) max(b)]);
title('TRUNCATED RESP');
xlabel('Time');

%figure;
subplot (2,2,3) , 
plot ( f_axis,abs(H),'b' );
title('FILTER OBTAINED');
xlabel('Hz');


hold on;
plot (f_axis , des_resp , 'r:');
legend('Practical','Desired');
hold off;

zoom on;


